curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/extend-budget' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"additional_window_secs": 1,
"additional_turns": 1,
"additional_failures": 1
}'
Extend active horizon agent budget
Accepted — extend-budget signalled to the active-horizon agent.
POST
/
v1
/
workflows
/
active-horizon-agent
/
{workflow_id}
/
extend-budget
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/extend-budget' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"additional_window_secs": 1,
"additional_turns": 1,
"additional_failures": 1
}'
Path parameters
string (string)
required
Request body
ActiveHorizonBudgetExtension
integer
integer
integer
Response
No response body. Accepted — extend-budget signalled to the active-horizon agent.Status codes
| Code | Meaning |
|---|---|
202 | Accepted — extend-budget signalled to the active-horizon agent. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/extend-budget' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"additional_window_secs": 1,
"additional_turns": 1,
"additional_failures": 1
}'
Last modified on August 31, 2026